import { NodeBuilder } from '../../compile-dsp-graph/types';
import { VariableNamesIndex } from '@webpd/compiler';
import { AstElement, VariableName } from '@webpd/compiler/src/ast/types';
export declare const EMPTY_BUS_NAME = "empty";
export interface ControlsBaseNodeArguments {
    receiveBusName: string;
    sendBusName: string;
}
export declare const build: NodeBuilder<any>['build'];
export declare const controlsCore: (ns: {
    [name: string]: string;
}, { msg, msgBuses }: VariableNamesIndex['globals']) => AstElement;
