import { GlobalDefinitions } from '@webpd/compiler/src/compile/types';
import { VariableName } from '@webpd/compiler/src/ast/types';
import { VariableNamesIndex } from '@webpd/compiler';
export type TypeArgument = 'float' | 'bang' | 'symbol' | 'list' | 'anything';
export declare const resolveTypeArgumentAlias: (value: string) => string;
export declare const assertTypeArgument: (value: string) => TypeArgument;
export declare const renderMessageTransfer: (typeArgument: TypeArgument, msgVariableName: VariableName, index: number, { msg, bangUtils, tokenConversion }: VariableNamesIndex['globals']) => string;
export declare const messageTokenToFloat: GlobalDefinitions;
export declare const messageTokenToString: GlobalDefinitions;
