import { Point, Rectangle } from './types';
export declare const makeTranslationTransform: (fromPoint: Point, toPoint: Point) => (fromPoint: Point) => {
    x: number;
    y: number;
};
export declare const sumPoints: (p1: Point, p2: Point) => {
    x: number;
    y: number;
};
export declare const computeRectanglesIntersection: (r1: Rectangle, r2: Rectangle) => {
    topLeft: {
        x: number;
        y: number;
    };
    bottomRight: {
        x: number;
        y: number;
    };
};
export declare const isPointInsideRectangle: (p: Point, r: Rectangle) => boolean;
