import { Message } from '@webpd/compiler';
import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    msgSpecs: Array<MsgSpec>;
}
type _NodeImplementation = NodeImplementation<NodeArguments>;
interface MsgSpec {
    tokens: Message;
    send: string | null;
}
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments, };
