import { PdJson } from '@webpd/pd-parser';
import { PdGuiNode, Rectangle } from './types';
export declare const discoverPdGui: (pdJson: PdJson.Pd) => PdGuiNode[];
export declare const traversePdGui: (controls: Array<PdGuiNode>, func: (control: PdGuiNode) => void) => void;
export declare const _assertPatchLayout: (patch: PdJson.Patch) => {
    viewportX: number;
    viewportY: number;
    viewportWidth: number;
    viewportHeight: number;
};
export declare const _assertNodeLayout: (pdNode: PdJson.Node) => {
    x: number;
    y: number;
    label: string;
};
export declare const _FOR_TESTING: {
    _discoverPdGuiRecursive: (pdJson: PdJson.Pd, patch: PdJson.Patch, viewport?: Rectangle | null) => Array<PdGuiNode>;
};
